Skip to main content
`Ctrl`+`K`

# MatInitializePackage

This function initializes everything in the `Mat` package. It is called from `PetscDLLibraryRegister_petscmat()` when using dynamic libraries, and on the first call to `MatCreate()` when using shared or static libraries.

## Synopsis

    PetscErrorCode MatInitializePackage(void)

## Note

This function never needs to be called by PETSc users.

## See Also

Matrices, `Mat`, `PetscInitialize()`, `MatFinalizePackage()`

## Level

developer

## Location

src/mat/interface/dlregismat.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages